# norootforbuild


Name:           dvb
%if %suse_version >= 1030
BuildRequires:  libusb-devel
%else
BuildRequires:  libusb
%endif
%define firmwaredir /lib/firmware
License:        GPL v2 or later
Group:          Hardware/TV
AutoReqProv:    on
PreReq:         %fillup_prereq %insserv_prereq
Version:        1.1.0_CVS20080331
Release:        20.15
Summary:        Tools for Digital (DVB) TV Cards
Source:         dvb-apps-20080331.tar.bz2
Source1:        dvb-README.SuSE
Source2:        rcdvb
Source3:        sysconfig.dvb
Source4:        http://linuxtv.org/downloads/firmware/dvb-ttpci-01.fw-2622
#Source4:      http://212.227.36.83/linuxtv/downloads/firmware/dvb-ttpci-01.fw-261d
Patch:          dvb-apps-dvbnet.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# This package provides the firmware for some cards supported by the
# dvb-ttpci.ko module. Add the modalias dependencies for this module:
# Modules: dvb-ttpci.ko
Supplements:    modalias(pci:v00001131d00007146sv0000110Asd00000000bc*sc*i*)
Supplements:    modalias(pci:v00001131d00007146sv000013C2sd0000000[0123468AE]bc*sc*i*)
Supplements:    modalias(pci:v00001131d00007146sv000013C2sd00001002bc*sc*i*)
# Generated with: extract-modaliases -i dvb-ttpci kernel-default.rpm

%description
This package contains tools to be used with the driver for DVB cards.
You can find further information in
/usr/share/doc/packages/dvb/README.SuSE.



Authors:
--------
    Ralph Metzler <rjkm@metzlerbros.de>
    Martin Schaller <martin@smurf.franken.de>
    Marcus Metzler <mocm@metzlerbros.de>
    Karsten Siebert <Karsten.Siebert@dataplanet.net>
    Johannes Stezenbach <js@convergence.de>
    Holger Waechtler <holger@convergence.de>



%package devel
Group: Development/Languages/C and C++
Summary: Development files for %{name}
Requires: %{name} = %{version}

%description devel
This package contains development files for %{name}.
You can find further information in
/usr/share/doc/packages/dvb/README.SuSE.



Authors:
--------
    Ralph Metzler <rjkm@metzlerbros.de>
    Martin Schaller <martin@smurf.franken.de>
    Marcus Metzler <mocm@metzlerbros.de>
    Karsten Siebert <Karsten.Siebert@dataplanet.net>
    Johannes Stezenbach <js@convergence.de>
    Holger Waechtler <holger@convergence.de>


%debug_package
%prep
%setup -q -n dvb-apps
%patch -p1
find -name .hg -type d | xargs rm -rfv
find -name .cvsignore -type f | xargs rm -fv
find -name '*.orig' -type f | xargs rm -fv

%build
rm -rf include/linux
make CFLAGS="%{optflags} -fno-strict-aliasing -fPIC" \
	CC=gcc \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	V=1 \
	ttusb_dec_reset=1

%install
export DESTDIR=%{buildroot}
[ $DESTDIR != / ] && rm -fr $DESTDIR
## directories
install -d -m 755 $DESTDIR/usr/{,s}bin $DESTDIR/etc/init.d $DESTDIR/usr/include \
	$DESTDIR/var/adm/fillup-templates
#
## docu
install -d -m 755 $DESTDIR%{_docdir}/dvb
install -m 644 README $DESTDIR%{_docdir}/dvb
install -m 644 %{SOURCE1} $DESTDIR%{_docdir}/dvb/README.SuSE
#
##
make \
	bindir=%{_bindir} \
	libdir=%{_libdir} \
	prefix=%{_prefix} \
	includedir=%{_includedir} \
	DESTDIR=%{buildroot} \
	install
install -d -m 755 $DESTDIR/%{_docdir}/%{name}/szap
install -m 644 util/szap/README $DESTDIR/%{_docdir}/%{name}/szap
install -m 644 util/ttusb_dec_reset/README $DESTDIR/%{_docdir}/%{name}/README.ttusb_dec_reset
install -m 644 util/av7110_loadkeys/README $DESTDIR/%{_docdir}/%{name}/README.av7110_loadkeys
#
# dvbnet
install -m 644 util/dvbnet/net_start.* $DESTDIR/%{_docdir}/%{name}/
## sysconfig & init
install -m 644 %{SOURCE3} $DESTDIR/var/adm/fillup-templates
ln -sf /etc/init.d/dvb $DESTDIR/usr/sbin/rcdvb
install -m 755 %{SOURCE2} $DESTDIR/etc/init.d/dvb
#
## firmware
install -d -m 755 %{buildroot}%{firmwaredir}
install -m 644 %{SOURCE4} %{buildroot}%{firmwaredir}
cd %{buildroot}%{firmwaredir}
for i in dvb-ttpci-01.fw*; do
	ln -s $i dvb-ttpci-01.fw
	break
done
cd -


%post
%{fillup_and_insserv dvb}

%postun
%insserv_cleanup

%files
%defattr(-, root, root)
%{_docdir}/dvb
%{_datadir}/dvb
/var/adm/fillup-templates/sysconfig.dvb
%config /etc/init.d/dvb
/usr/sbin/rcdvb
/usr/bin/*
%if %suse_version <= 1020
%dir %{firmwaredir}
%endif
%{_libdir}/*.so
%{firmwaredir}/*


%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a

%changelog
* Mon Sep 01 2008 - Andrea Florio <andrea@links2linux.de>
- added devel package
* Mon Mar 31 2008 lnussel@suse.de
- update firmware to version 2622
- update to current development snapshot
  * mostly scan file updates
* Thu Aug 09 2007 olh@suse.de
- remove private include/linux/ files
* Wed May 16 2007 olh@suse.de
- Buildrequires libusb -> libusb-devel
* Fri Mar 16 2007 lnussel@suse.de
- remove /lib/firmware as it's now in the filesystem package
* Mon Mar 05 2007 lnussel@suse.de
- update to current development snapshot
* Mon Sep 11 2006 lnussel@suse.de
- add -fPIC to CFLAGS
* Fri Sep 08 2006 lnussel@suse.de
- update to current development snapshot
* Fri Mar 10 2006 lnussel@suse.de
- add modalias to Supplements (#156864)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 20 2005 lnussel@suse.de
- don't install the test programs anymore
* Wed Oct 19 2005 lnussel@suse.de
- move headers to fix build of vdr
- apply separate patches
- move firmware to /lib/firmware
* Thu Sep 29 2005 lnussel@suse.de
- update to current CVS
* Wed Jul 20 2005 lnussel@suse.de
- update to last 'stable' CVS version
  * initial transponders now in /usr/share/dvb/scan
* Thu Jul 07 2005 lnussel@suse.de
- update to current CVS
- new firmware 261f
* Fri Jun 17 2005 lnussel@suse.de
- update to current CVS
* Tue Mar 08 2005 lnussel@suse.de
- remove no longer working check for hotplug (#71233)
* Tue Feb 01 2005 lnussel@suse.de
- fix another __user for 8.2
* Tue Feb 01 2005 lnussel@suse.de
- fix build on 8.2
- new firmware 261d
* Fri Jan 21 2005 lnussel@suse.de
- update dvb-apps to current cvs
- make list of modules to load configurable
- don't unload modules at shutdown
* Sun Oct 03 2004 lnussel@suse.de
- add some notes about hwcfg files to README.SuSE
* Fri Sep 17 2004 lnussel@suse.de
- don't depend on 'kernelversion' script (#44858)
* Fri Aug 13 2004 lnussel@suse.de
- install dvb_net.sh and dvb_net.pl as docu since they need to be manually
  edited to be actually useful anyways
* Thu Aug 12 2004 lnussel@suse.de
- update to current CVS
- finally drop km_dvb
* Mon Jun 21 2004 lnussel@suse.de
- fix build on 8.1
* Sun Mar 28 2004 lnussel@suse.de
- load dvb-bt8xx if bttv module is loaded (#36969)
* Fri Mar 19 2004 lnussel@suse.de
- change hotplug-beta -> hotplug in initscript
- remove left over .orig files
* Sat Feb 14 2004 lnussel@suse.de
- fix sysconfig meta data
* Fri Feb 13 2004 lnussel@suse.de
- add patch linuxtv-dvb-1.1.0-zaptime.diff for faster channel switching
- build 1.1.0 driver on kernel 2.4 per default
- check for firmware agent instead of hotplug-beta
- remove obsolete sysconfig variables. Module parameters should be set in
  modprobe.conf instead
- scan program is now /usr/bin/dvbscan
* Fri Feb 06 2004 lnussel@suse.de
- update to linuxdvb-dvb-apps-1.1.0
- include linuxtv-dvb-1.1.0 in km_dvb but keep old driver for kernel
  2.4
- use upstream version number rather than the date of the CVS
  snapshot. That means version downgrade unfortunately.
- rename README.SuSE -> dvb-README.SuSE
- rename Makefile.module -> dvb-Makefile.module
- update README.km_dvb and spec files
* Mon Jan 19 2004 lnussel@suse.de
- add /usr/lib/hotplug/firmware as directory since dvb doesn't depend on
  hotplug-beta which normally owns the directory
- clean up neededforbuild
* Sat Jan 17 2004 lnussel@suse.de
- update to current CVS
- modify init script to work with kernel 2.6
- add firmware for 2.6 kernel modules. hotplug-beta is needed to load it
* Mon Nov 17 2003 lnussel@suse.de
- update to current CVS
- install transponder files for scan
* Fri Nov 14 2003 lnussel@suse.de
- fix filelist for older distributions
* Tue Oct 28 2003 lnussel@suse.de
- update to current CVS
- build as user
- add README for km_dvb
- add spec file for rebuilding km_dvb for all kernels
- include README.scan and FAQ (#30308)
- fix symlink to initscript
* Tue Oct 07 2003 duwe@suse.de
- update to current CVS
- ability to use -I/usr/include/dvb for applications,
  as discussed with werner, stepan & upstream maintainers
- added scan program, per #30308
* Wed Sep 10 2003 agruen@suse.de
- Fix import of linux/unistd.h on x86_64: Needs __NO_STUBS.
* Thu Sep 04 2003 duwe@suse.de
- fixed AV711x I-Frame (stills) playback, required for vdr cutting,
  (Bug #30049)
* Tue Aug 19 2003 lnussel@suse.de
- clean up sysconfig file to properly work with yast2 sysconfig
  editor
- add dvb-modules.spec to km_dvb for easy rebuilding of kernel
  modules on older distributions
* Mon Aug 18 2003 duwe@suse.de
- CVS update, new frontend drivers.
- more consistent frontend module handling in rc script,
  better remote support, a metadata update, all merged
  from Ludwig's proposal.
  (Bug #28872 should be fixed, if it was an issue).
* Fri Jun 20 2003 stepan@suse.de
- update from CVS - works stable with vdr 1.2.1
* Fri Jun 13 2003 kukuk@suse.de
- Add missing directories to filelist
* Tue May 20 2003 ro@suse.de
- removed CVS subdirs
- moved includes to /usr/include/dvb (fix clash with glibc-devel)
* Thu May 08 2003 stepan@suse.de
- CVS update, May 7th
* Wed Apr 09 2003 duwe@suse.de
- CVS update, corresponds to about 1.0.0-pre3
* Mon Feb 24 2003 duwe@suse.de
- Allow alternate firmware to be of different size.
* Mon Feb 24 2003 duwe@suse.de
- CVS update, should fix major bug #23852
* Mon Feb 10 2003 duwe@suse.de
- update to current CVS version:
  + includes Metzler Bros. Ci-LL support
  - mpegtools are gone and need a separate package.
* Wed Jan 22 2003 duwe@suse.de
- tested and fixed "alternate-firmware" patch
* Mon Jan 20 2003 duwe@suse.de
- update to today's CVS snapshot (bsru6 is now called stv0299 )
- added sysconfig metadata (#22639)
- implemented run-time loading of alternate firmware
  to aid development (maybe of GPL'ed firmware ?) -- not yet tested
* Thu Dec 05 2002 duwe@suse.de
- rc script now finally works
- other minor fixes from the CVS
* Wed Dec 04 2002 duwe@suse.de
- current CVS snapshot : new API, new directory layout
* Mon Oct 14 2002 uli@suse.de
- update -> 20020623 (patched to allow simultaneous recording and
  playback on a single card)
* Wed Aug 14 2002 poeml@suse.de
- fix comment in init script
* Thu Aug 01 2002 uli@suse.de
- added Prereqs
* Wed May 08 2002 ro@suse.de
- fixed compilation with latest gcc (again)
* Fri Apr 26 2002 uli@suse.de
- updated README.SuSE (fixes bug #16027)
* Thu Apr 25 2002 uli@suse.de
- (hopefully) fixed for new kernel
* Tue Apr 23 2002 ro@suse.de
- make it compile with gcc-3.1
* Tue Apr 09 2002 uli@suse.de
- moved config from rc.config to sysconfig (bug #15612)
* Fri Mar 01 2002 uli@suse.de
- removed dvbd (doesn't work with the NAPI)
- made firmware external again
* Fri Feb 15 2002 uli@suse.de
- "rcdvb status" returns 3 if down (bug #13316)
* Mon Feb 11 2002 uli@suse.de
- update -> 0.9.4 (release)
* Thu Feb 07 2002 uli@suse.de
- replaced get_fast_time() with do_gettimeofday() for 2.4.18-pre8
* Mon Feb 04 2002 uli@suse.de
- added MODULE_LICENSE() statements
* Fri Feb 01 2002 uli@suse.de
- added pte-highmem fix by andrea
* Fri Jan 18 2002 uli@suse.de
- update -> 20020116 (better support for DVB-T/C cards)
* Thu Nov 22 2001 uli@suse.de
- eliminated START_DVB
* Mon Oct 15 2001 uli@suse.de
- export symbol DmxDevDVRPoll in dmxdev.o (needed by dvb.o)
- renamed dif
* Thu Oct 11 2001 ro@suse.de
- fix typo, it's -DEXPORT_SYMTAB not -DDEXPORT_SYMTAB
* Thu Oct 11 2001 ro@suse.de
- added -DEXPORT_SYMTAB to EXTRA_CFLAGS in driver Makefile
* Fri Sep 21 2001 uli@suse.de
- init script: fixed module loading/unloading order, no more network
  device, no unloading of autoclean modules, fixed crystal/ti option
* Mon Aug 20 2001 uli@suse.de
- forgot rcdvb symlink
  (also forgot to pack the init script, but I don't really like to
  talk about that...)
* Mon Aug 20 2001 uli@suse.de
- update -> 0.9-20010817
- replaced dvb_*mod scripts with proper init script
* Tue Aug 07 2001 uli@suse.de
- update -> 0.9-20010803
* Mon Jul 30 2001 uli@suse.de
- update -> 0.9-20010729 (reqd. for vdr 0.85)
* Wed Jun 27 2001 uli@suse.de
- fixed dvb_*mod scripts
- added test apps to package (one of which is actually a decent MPEG
  player)
- bzipped tarballs
* Tue Jun 26 2001 uli@suse.de
- added missing header files
* Tue Jun 26 2001 uli@suse.de
- update -> 0.9-20010618
* Wed May 16 2001 uli@suse.de
- added missing firmware file
- dvb_insmod: use kernel i2c-core, videodev to avoid hangs
* Mon Mar 26 2001 uli@suse.de
- update -> 0.8.2
* Mon Mar 12 2001 uli@suse.de
- no longer using XFree86 3.x libs
* Thu Feb 22 2001 uli@suse.de
- update -> 0.8.1 (should do better with 2.4 kernels)
* Mon Feb 19 2001 uli@suse.de
- in libdvb renamed struct Picture to DVB_Picture (conflicts with X)
* Wed Dec 06 2000 uli@suse.de
- added missing stuff to km_dvb
- added ost devices to dvb
* Mon Dec 04 2000 uli@suse.de
- update -> 0.8
- removed avpes2mpeg (output now defaults to program stream)
* Thu Nov 23 2000 uli@suse.de
- linking against DGA/VM libs from XFree86 3 to ensure compatibility
* Wed Nov 08 2000 uli@suse.de
- added missing firmware file
- added absolute path to firmware file in dvb module
* Sun Nov 05 2000 ro@suse.de
- fixed neededforbuild
* Mon Oct 23 2000 ro@suse.de
- fixed includes
* Fri Sep 01 2000 uli@suse.de
- initial package
